Bug 587378 - No rpms are downloaded
No rpms are downloaded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 14:33 EDT by Nathanael Noblet
Modified: 2010-12-03 10:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from preupgrade console (3.75 KB, text/plain)
2010-04-29 14:33 EDT, Nathanael Noblet
no flags Details
grub after preupgrade (934 bytes, text/plain)
2010-04-29 14:34 EDT, Nathanael Noblet
no flags Details
another preupgrade output (7.08 KB, application/octet-stream)
2010-05-05 15:48 EDT, Matias Kreder
no flags Details

  None (edit)
Description Nathanael Noblet 2010-04-29 14:33:09 EDT
Created attachment 410194 [details]
output from preupgrade console

Description of problem:
When attempting to upgrade a machine running F12 to F13 branched, preupgrade completes all steps 'successfully' without downloading a single RPM package to upgrade the machine with.

Version-Release number of selected component (if applicable):
preupgrade-1.1.5-1.fc12.noarch and python-urlgrabber from koji as request on the test day page.

How reproducible:
Always

Steps to Reproduce:
1. preupgrade
2.
3.
  
Actual results:
preupgrade thinks it has completed successfully however no packages are downloaded

Expected results:
preupgrade completes successfully only after downloading all required RPMS

Additional info:
I tried with and without the rpmfusion repos enabled. I have /boot with 220M insufficent space to hold the kernel + stage2. I have a wired network connection so clicked continue instead of quitting.
Comment 1 Nathanael Noblet 2010-04-29 14:34:04 EDT
Created attachment 410195 [details]
grub after preupgrade
Comment 2 Nathanael Noblet 2010-04-29 14:34:43 EDT
One more thing - the boot/upgrade/ folder has only initrd.img and vmlinuz, no ks.cfg (and grub isn't referencing it either)
Comment 3 Eike Hein 2010-04-29 17:41:48 EDT
I experienced the same problem yesterday, and again today.

I am available for realtime debugging when I'm on IRC. I can be found in #fedora-devel on Freenode as "Sho_".
Comment 4 Austin Acton 2010-04-29 17:44:43 EDT
Same here.
Comment 5 Eike Hein 2010-05-01 15:08:45 EDT
More info:

I have two Fedora systems, one that started out as Fedora 11 and was successfully preupgraded to Fedora 12, and one that started out directly as Fedora 12. The former has a too-small 200 MB /boot and thus relies on fetching stage2 after reboot. The latter has a 500 MB /boot, since I was aware of the default 200 MB being too small when I installed it due to previous experience with the F11->F12 preupgrade of the other system.

I just used preupgrade on the latter system, i.e. the one that started out as Fedora 12 and has a 500 MB /boot, and it's fetching fc13 packages there as we speak, while the other system that started out originally as Fedora 11 still refuses to do so as of right now.

So this behavior might either be caused by an artifact left behind by the F11->F12 preupgrade process, or by the fetch-stage2-after-reboot codepath being triggered.

Nathanael also suffers from the too-small /boot condition - but did any of you also preupgrade from F11 to F12 previously?
Comment 6 Eike Hein 2010-05-01 15:12:03 EDT
Another note: The system where it's working is i686 while the system where it isn't is x86_64.
Comment 7 Eike Hein 2010-05-01 19:43:47 EDT
While reading through the preupgrade sources to try and debug this, I noticed another difference between the two systems during one of the debug runs: The system on which it didn't work had yum-plugin-auto-update-debug-info installed, causing yum to enable a bunch of debuginfo repositories during every operation, including those run by preupgrade. This seems to have confused preupgrade somehow, causing it to stick to fc12 repositories. After removing yum-plugin-auto-update-debug-info (which wasn't installed on the system on which preupgrade, meanwhile, finished flawlessly) it's now fetching fc13 packages as we speak.

BTW, while reading the sources I noticed 1.1.5 has been releases without __version__ in preupgrade/__init__.py having been bumped -- it's still at 1.1.4 there.
Comment 8 Nathanael Noblet 2010-05-01 23:22:51 EDT
I can confirm - x86_64, I can't remember how it was installed, but I think it was a fresh install to take advantage of the ext4 features. I also had yum-plugin-auto-update-debug-info installed, and once removed it looks for packages....
Comment 9 Richard Hughes 2010-05-04 06:04:48 EDT
Could you please try the fixed preupgrade rpm available here; http://people.freedesktop.org/~hughsient/fedora/13/i386/

Thanks. Richard.
Comment 10 Nathanael Noblet 2010-05-04 12:25:54 EDT
Unfortunately with the yum-plugin-auto-update-debug-info removed I successfully upgraded to F13... someone else on the cc list?
Comment 11 Matias Kreder 2010-05-05 15:47:55 EDT
I'm experiencing this same issue in Fedora 12 to Fedora 13 Branch and I don't have yum-plugin-auto-update-debug-info installed also I tried preupgrade-1.1.6-0.7.fc13.noarch from the URL in comment 9, and it didn't work.

[root@flame ~]# rpm -qa | grep yum-plugin
yum-plugin-fastestmirror-1.1.26-1.fc12.noarch
PackageKit-yum-plugin-0.5.7-2.fc12.x86_64
anaconda-yum-plugins-1.0-5.fc12.noarch
[root@flame ~]# rpm -e yum-plugin-auto-update-debug-info
error: package yum-plugin-auto-update-debug-info is not installed
Comment 12 Matias Kreder 2010-05-05 15:48:27 EDT
Created attachment 411719 [details]
another preupgrade output
Comment 13 Matias Kreder 2010-05-05 17:51:11 EDT
Apparently it's fixed updating pyton-urlgrabber

yum update --enablerepo=updates-testing python-urlgrabber
Comment 14 Eike Hein 2010-05-06 15:37:58 EDT
Yes, the urlgrabber thing is an unrelated bug. With a too-small /boot partition (like the 200 MB one F12 creates by default), preupgrade has to fall back to downloading the stage2 file after reboot. Due to a bug in the urlgrabber lib (broken parsing of Content-length HTTP headers) the calculation of whether there's sufficient space in the partition to download the file there fails, it tries to download it futily, dies during download and skips ahead to the "yay, everything done, reboot now!" stage.
Comment 15 Fedora Update System 2010-05-12 11:07:38 EDT
preupgrade-1.1.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/preupgrade-1.1.6-1.fc12
Comment 16 Fedora Update System 2010-05-13 15:30:35 EDT
preupgrade-1.1.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/preupgrade-1.1.6-1.fc12
Comment 17 Bug Zapper 2010-11-03 12:01:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-12-03 10:17:34 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.